<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: CLK_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CLK_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8dc40f2a57b0b379fd97dd6eecdba230"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a8dc40f2a57b0b379fd97dd6eecdba230">PWRCTL</a></td></tr>
<tr class="separator:a8dc40f2a57b0b379fd97dd6eecdba230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808b691f73f5988acf98189dc52c2258"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a808b691f73f5988acf98189dc52c2258">AHBCLK</a></td></tr>
<tr class="separator:a808b691f73f5988acf98189dc52c2258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95b1d5348167498809cbe3d4afa7960"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ab95b1d5348167498809cbe3d4afa7960">APBCLK</a></td></tr>
<tr class="separator:ab95b1d5348167498809cbe3d4afa7960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a939046f1ff107551dfeedab4aca2c20d"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a939046f1ff107551dfeedab4aca2c20d">CLKSTATUS</a></td></tr>
<tr class="separator:a939046f1ff107551dfeedab4aca2c20d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5d0e2a48518b0d44641f594a763b619"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ae5d0e2a48518b0d44641f594a763b619">CLKSEL0</a></td></tr>
<tr class="separator:ae5d0e2a48518b0d44641f594a763b619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cad9e775d46b22aad65c5caa3ba9cbf"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a9cad9e775d46b22aad65c5caa3ba9cbf">CLKSEL1</a></td></tr>
<tr class="separator:a9cad9e775d46b22aad65c5caa3ba9cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505ef1b8c8d11745b09418636c576b6f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a505ef1b8c8d11745b09418636c576b6f">CLKSEL2</a></td></tr>
<tr class="separator:a505ef1b8c8d11745b09418636c576b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdde8616f159af8c864c8c111e52414"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#aecdde8616f159af8c864c8c111e52414">CLKDIV0</a></td></tr>
<tr class="separator:aecdde8616f159af8c864c8c111e52414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16bc8804dd7c329491e87a4c24dfd86c"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a16bc8804dd7c329491e87a4c24dfd86c">CLKDIV1</a></td></tr>
<tr class="separator:a16bc8804dd7c329491e87a4c24dfd86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0059b5b729980b9dfe3a9cb3e75ea99a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a0059b5b729980b9dfe3a9cb3e75ea99a">PLLCTL</a></td></tr>
<tr class="separator:a0059b5b729980b9dfe3a9cb3e75ea99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05aca80545648c67739ed834eaa01f79"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a05aca80545648c67739ed834eaa01f79">FRQDIV0</a></td></tr>
<tr class="separator:a05aca80545648c67739ed834eaa01f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c543e82031d3cb0ba48c5f9a916031"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ac5c543e82031d3cb0ba48c5f9a916031">RESERVE0</a> [1]</td></tr>
<tr class="separator:ac5c543e82031d3cb0ba48c5f9a916031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aace40aeea86c8dece6918b4e1170d0"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a3aace40aeea86c8dece6918b4e1170d0">WK_INTSTS</a></td></tr>
<tr class="separator:a3aace40aeea86c8dece6918b4e1170d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3a18ffbc3f4aee6c6fc5e8a1ae553e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a1e3a18ffbc3f4aee6c6fc5e8a1ae553e">APB_DIV</a></td></tr>
<tr class="separator:a1e3a18ffbc3f4aee6c6fc5e8a1ae553e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331ce92b94015f5c199d9bf36ab5874a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a331ce92b94015f5c199d9bf36ab5874a">FRQDIV1</a></td></tr>
<tr class="separator:a331ce92b94015f5c199d9bf36ab5874a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b4363cbc9fa5e227122d0d9852830b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#ac9b4363cbc9fa5e227122d0d9852830b">SP_DET</a></td></tr>
<tr class="separator:ac9b4363cbc9fa5e227122d0d9852830b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f3cf7cd93cbac6e644e7ba6192f0c6c"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_l_k___t.html#a9f3cf7cd93cbac6e644e7ba6192f0c6c">SP_STS</a></td></tr>
<tr class="separator:a9f3cf7cd93cbac6e644e7ba6192f0c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup CLK System Clock Controller(CLK)
Memory Mapped Structure for CLK Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l00903">903</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a808b691f73f5988acf98189dc52c2258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a808b691f73f5988acf98189dc52c2258">&#9670;&nbsp;</a></span>AHBCLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::AHBCLK</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>AHBCLK </h1>
<h2>Offset: 0x04 AHB Devices Clock Enable Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">GPIO_EN  </td><td class="markdownTableBodyLeft">GPIO Controller Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">DMA_EN  </td><td class="markdownTableBodyLeft">DMA Controller Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">ISP_EN  </td><td class="markdownTableBodyLeft">Flash ISP Controller Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">SRAM_EN  </td><td class="markdownTableBodyLeft">SRAM Controller Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">TICK_EN  </td><td class="markdownTableBodyLeft">System Tick Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01008">1008</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a1e3a18ffbc3f4aee6c6fc5e8a1ae553e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3a18ffbc3f4aee6c6fc5e8a1ae553e">&#9670;&nbsp;</a></span>APB_DIV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::APB_DIV</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>APB_DIV </h1>
<h2>Offset: 0x34 APB Clock Divider </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[2:0]  </td><td class="markdownTableBodyCenter">APBDIV  </td><td class="markdownTableBodyLeft">APB Clock Divider   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">APB PCLK can be divided from HCLK.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000: PCLK = HCLK.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001: PCLK =1/2 HCLK.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010: PCLK = 1/4 HCLK.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011: PCLK = 1/8 HCLK.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100: PCLK = 1/16 HCLK.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others: PCLK = HCLK.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01354">1354</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ab95b1d5348167498809cbe3d4afa7960"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab95b1d5348167498809cbe3d4afa7960">&#9670;&nbsp;</a></span>APBCLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::APBCLK</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>APBCLK </h1>
<h2>Offset: 0x08 APB Devices Clock Enable Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">WDT_EN  </td><td class="markdownTableBodyLeft">Watchdog Timer Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit is used to control the WDT APB clock only, The WDT engine Clock Source is from LIRC.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">RTC_EN  </td><td class="markdownTableBodyLeft">Real-Time-Clock Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit is used to control the RTC APB clock only, The RTC engine Clock Source is from LXT.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">TMR0_EN  </td><td class="markdownTableBodyLeft">Timer0 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3]  </td><td class="markdownTableBodyCenter">TMR1_EN  </td><td class="markdownTableBodyLeft">Timer1 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">TMR2_EN  </td><td class="markdownTableBodyLeft">Timer2 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">TMR3_EN  </td><td class="markdownTableBodyLeft">Timer3 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">FDIV0_EN  </td><td class="markdownTableBodyLeft">Frequency Divider0 Output Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[7]  </td><td class="markdownTableBodyCenter">FDIV1_EN  </td><td class="markdownTableBodyLeft">Frequency Divider1 Output Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[8]  </td><td class="markdownTableBodyCenter">I2C0_EN  </td><td class="markdownTableBodyLeft">I2C0 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[9]  </td><td class="markdownTableBodyCenter">I2C1_EN  </td><td class="markdownTableBodyLeft">I2C1 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[11]  </td><td class="markdownTableBodyCenter">ACMP_EN  </td><td class="markdownTableBodyLeft">ACMP Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[12]  </td><td class="markdownTableBodyCenter">SPI0_EN  </td><td class="markdownTableBodyLeft">SPI0 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[13]  </td><td class="markdownTableBodyCenter">SPI1_EN  </td><td class="markdownTableBodyLeft">SPI1 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[16]  </td><td class="markdownTableBodyCenter">UART0_EN  </td><td class="markdownTableBodyLeft">UART0 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[17]  </td><td class="markdownTableBodyCenter">UART1_EN  </td><td class="markdownTableBodyLeft">UART1 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[20]  </td><td class="markdownTableBodyCenter">PWM0_CH01_EN  </td><td class="markdownTableBodyLeft">PWM0 Channel 0 And Channel 1Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[21]  </td><td class="markdownTableBodyCenter">PWM0_CH23_EN  </td><td class="markdownTableBodyLeft">PWM0 Channel 2 And Channel 3 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[26]  </td><td class="markdownTableBodyCenter">LCD_EN  </td><td class="markdownTableBodyLeft">LCD Controller Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[28]  </td><td class="markdownTableBodyCenter">ADC_EN  </td><td class="markdownTableBodyLeft">Analog-Digital-Converter (ADC) Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[30]  </td><td class="markdownTableBodyCenter">SC0_EN  </td><td class="markdownTableBodyLeft">SmartCard 0 Clock Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[31]  </td><td class="markdownTableBodyCenter">SC1_EN  </td><td class="markdownTableBodyLeft">SmartCard 1 Clock Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01084">1084</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="aecdde8616f159af8c864c8c111e52414"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecdde8616f159af8c864c8c111e52414">&#9670;&nbsp;</a></span>CLKDIV0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::CLKDIV0</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKDIV0 </h1>
<h2>Offset: 0x1C Clock Divider Number Register 0 </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3:0]  </td><td class="markdownTableBodyCenter">HCLK_N  </td><td class="markdownTableBodyLeft">HCLK Clock Divide Number From HCLK Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The HCLK clock frequency = (HCLK Clock Source frequency) / (HCLK_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[11:8]  </td><td class="markdownTableBodyCenter">UART_N  </td><td class="markdownTableBodyLeft">UART Clock Divide Number From UART Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The UART clock frequency = (UART Clock Source frequency ) / (UART_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[23:16]  </td><td class="markdownTableBodyCenter">ADC_N  </td><td class="markdownTableBodyLeft">ADC Clock Divide Number From ADC Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The ADC clock frequency = (ADC Clock Source frequency ) / (ADC_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:28]  </td><td class="markdownTableBodyCenter">SC0_N  </td><td class="markdownTableBodyLeft">SC 0 Clock Divide Number From SC 0 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The SC 0 clock frequency = (SC0 Clock Source frequency ) / (SC0_N + 1).   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01247">1247</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a16bc8804dd7c329491e87a4c24dfd86c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16bc8804dd7c329491e87a4c24dfd86c">&#9670;&nbsp;</a></span>CLKDIV1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::CLKDIV1</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKDIV1 </h1>
<h2>Offset: 0x20 Clock Divider Number Register 1 </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3:0]  </td><td class="markdownTableBodyCenter">SC1_N  </td><td class="markdownTableBodyLeft">SC 1 Clock Divide Number From SC 1 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The SC 1 clock frequency = (SC 1 Clock Source frequency ) / (SC1_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[11:8]  </td><td class="markdownTableBodyCenter">TMR0_N  </td><td class="markdownTableBodyLeft">Timer0 Clock Divide Number From Timer0 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The Timer0 clock frequency = (Timer0 Clock Source frequency ) / (TMR0_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[15:12]  </td><td class="markdownTableBodyCenter">TMR1_N  </td><td class="markdownTableBodyLeft">Timer1 Clock Divide Number From Timer1 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The Timer1 clock frequency = (Timer1 Clock Source frequency ) / (TMR1_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[19:16]  </td><td class="markdownTableBodyCenter">TMR2_N  </td><td class="markdownTableBodyLeft">Timer2 Clock Divide Number From Timer2 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The Timer2 clock frequency = (Timer2 Clock Source frequency ) / (TMR2_N + 1).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[23:20]  </td><td class="markdownTableBodyCenter">TMR3_N  </td><td class="markdownTableBodyLeft">Timer3 Clock Divide Number From Timer3 Clock Source   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The Timer3 clock frequency = (Timer3 Clock Source frequency ) / (TMR3_N + 1).   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01267">1267</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ae5d0e2a48518b0d44641f594a763b619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5d0e2a48518b0d44641f594a763b619">&#9670;&nbsp;</a></span>CLKSEL0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::CLKSEL0</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKSEL0 </h1>
<h2>Offset: 0x10 Clock Source Select Control Register 0 </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[2:0]  </td><td class="markdownTableBodyCenter">HCLK_S  </td><td class="markdownTableBodyLeft">HCLK Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: Before Clock Source switches, the related clock sources (pre-select and new-select) must be turn on   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The 3-bit default value is reloaded with the value of CFOSC (Config0[26:24]) in user configuration register in Flash controller by any reset.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Therefore the default value is either 000b or 111b.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = PLL Clock   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = LIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">111 = HIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = Reserved   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01134">1134</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a9cad9e775d46b22aad65c5caa3ba9cbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cad9e775d46b22aad65c5caa3ba9cbf">&#9670;&nbsp;</a></span>CLKSEL1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::CLKSEL1</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKSEL1 </h1>
<h2>Offset: 0x14 Clock Source Select Control Register 1 </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1:0]  </td><td class="markdownTableBodyCenter">UART_S  </td><td class="markdownTableBodyLeft">UART 0/1 Clock Source Selection (UART0 And UART1 Use The Same Clock Source Selection)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = PLL Clock   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[5:4]  </td><td class="markdownTableBodyCenter">PWM0_CH01_S  </td><td class="markdownTableBodyLeft">PWM0 Channel 0 And Channel 1 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PWM0 channel 0 and channel 1 use the same Engine clock source, both of them with the same prescaler   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HCLK   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[7:6]  </td><td class="markdownTableBodyCenter">PWM0_CH23_S  </td><td class="markdownTableBodyLeft">PWM0 Channel 2 And Channel 3 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PWM0 channel 2 and channel 3 use the same Engine clock source, both of them with the same prescaler   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HCLK   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[10:8]  </td><td class="markdownTableBodyCenter">TMR0_S  </td><td class="markdownTableBodyLeft">Timer0 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = LIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = External Pin   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = HCLK   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[14:12]  </td><td class="markdownTableBodyCenter">TMR1_S  </td><td class="markdownTableBodyLeft">Timer1 Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = LIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = External Pin   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100 = HIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = HCLK   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[18]  </td><td class="markdownTableBodyCenter">LCD_S  </td><td class="markdownTableBodyLeft">LCD Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Clock Source from LXT.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Reserved.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[21:19]  </td><td class="markdownTableBodyCenter">ADC_S  </td><td class="markdownTableBodyLeft">ADC Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = PLL clock   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">others = HCLK   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01184">1184</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a505ef1b8c8d11745b09418636c576b6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a505ef1b8c8d11745b09418636c576b6f">&#9670;&nbsp;</a></span>CLKSEL2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::CLKSEL2</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKSEL2 </h1>
<h2>Offset: 0x18 Clock Source Select Control Register 2 </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1:0]  </td><td class="markdownTableBodyCenter">FRQDIV1_S  </td><td class="markdownTableBodyLeft">Clock Divider Clock1 Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HCLK   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[3:2]  </td><td class="markdownTableBodyCenter">FRQDIV0_S  </td><td class="markdownTableBodyLeft">Clock Divider0 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = LXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HCLK   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[10:8]  </td><td class="markdownTableBodyCenter">TMR2_S  </td><td class="markdownTableBodyLeft">Timer2 Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = LIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = External Pin   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100 = HIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = HCLK   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[14:12]  </td><td class="markdownTableBodyCenter">TMR3_S  </td><td class="markdownTableBodyLeft">Timer3 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = LIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = External Pin   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = HCLK   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[19:18]  </td><td class="markdownTableBodyCenter">SC_S  </td><td class="markdownTableBodyLeft">SC Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = PLL Clock   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HCLK   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[20]  </td><td class="markdownTableBodyCenter">SPI0_S  </td><td class="markdownTableBodyLeft">SPI0 Clock Source Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PLL.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HCLK.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[21]  </td><td class="markdownTableBodyCenter">SPI1_S  </td><td class="markdownTableBodyLeft">SPI1 Clock Source Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PLL.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HCLK.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01229">1229</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a939046f1ff107551dfeedab4aca2c20d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a939046f1ff107551dfeedab4aca2c20d">&#9670;&nbsp;</a></span>CLKSTATUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t CLK_T::CLKSTATUS</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CLKSTATUS </h1>
<h2>Offset: 0x0C Clock status monitor Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">HXT_STB  </td><td class="markdownTableBodyLeft">HXT Clock Source Stable Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HXT clock is not stable or not enable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HXT clock is stable.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">LXT_STB  </td><td class="markdownTableBodyLeft">LXT Clock Source Stable Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = LXT clock is not stable or not enable.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = LXT clock is stable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">PLL_STB  </td><td class="markdownTableBodyLeft">PLL Clock Source Stable Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PLL clock is not stable or not enable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = PLL clock is stable.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[3]  </td><td class="markdownTableBodyCenter">LIRC_STB  </td><td class="markdownTableBodyLeft">LIRC Clock Source Stable Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = LIRC clock is not stable or not enable.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = LIRC clock is stable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">HIRC_STB  </td><td class="markdownTableBodyLeft">HIRC Clock Source Stable Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC clock is not stable or not enable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC clock is stable.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[7]  </td><td class="markdownTableBodyCenter">CLK_SW_FAIL  </td><td class="markdownTableBodyLeft">Clock Switch Fail Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Clock switch success.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Clock switch fail.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit will be set when target switch Clock Source is not stable. This bit is write 1 clear   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01113">1113</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a05aca80545648c67739ed834eaa01f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05aca80545648c67739ed834eaa01f79">&#9670;&nbsp;</a></span>FRQDIV0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::FRQDIV0</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>FRQDIV0 </h1>
<h2>Offset: 0x28 Frequency Divider0 Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3:0]  </td><td class="markdownTableBodyCenter">FSEL  </td><td class="markdownTableBodyLeft">Divider Output Frequency Selection Bits   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The formula of output frequency is   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">FCLK0 = FRQDIV0_CLK/2^(N+1),.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Where FRQDIV0_CLK is the input clock frequency, Fout is the frequency of divider output clock and N is the 4-bit value of FSEL[3:0].   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">FDIV_EN  </td><td class="markdownTableBodyLeft">Frequency Divider Enable Bit   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Frequency Divider Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Frequency Divider Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">DIV1  </td><td class="markdownTableBodyLeft">Output Frequency Divide By 1   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Output frequency is equal to FCLK0.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Output frequency is equal to FRQDIV0_CLK.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01320">1320</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a331ce92b94015f5c199d9bf36ab5874a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331ce92b94015f5c199d9bf36ab5874a">&#9670;&nbsp;</a></span>FRQDIV1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::FRQDIV1</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>FRQDIV1 </h1>
<h2>Offset: 0x38 Frequency Divider1 Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3:0]  </td><td class="markdownTableBodyCenter">FSEL  </td><td class="markdownTableBodyLeft">Divider Output Frequency Selection Bits   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The formula of output frequency is   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">FCLK1 = FRQDIV1_CLK /2^(N+1),.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Where FRQDIV1_CLK is the input clock frequency, Fout is the frequency of divider output clock and N is the 4-bit value of FSEL[3:0].   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">FDIV_EN  </td><td class="markdownTableBodyLeft">Frequency Divider Enable Bit   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Frequency Divider Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Frequency Divider Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">DIV1  </td><td class="markdownTableBodyLeft">Output Frequency Divide By 1   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Output frequency is equal to FCLK1.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Output frequency is equal to FRQDIV1_CLK.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01374">1374</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a0059b5b729980b9dfe3a9cb3e75ea99a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0059b5b729980b9dfe3a9cb3e75ea99a">&#9670;&nbsp;</a></span>PLLCTL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::PLLCTL</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>PLLCTL </h1>
<h2>Offset: 0x24 PLL Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5:0]  </td><td class="markdownTableBodyCenter">PLL_MLP  </td><td class="markdownTableBodyLeft">PLL Multiple   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000000: Reserved   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000001: X1   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000010: X2   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000011: X3   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000100: X4   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">...   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010000:X16   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">...   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">100000: X32   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0thers: Reserved   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PLL output frequency: PLL input frequency * PLL_MLP.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PLL output frequency range: 16MHz ~ 32MHz   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[11:8]  </td><td class="markdownTableBodyCenter">PLL_SRC_N  </td><td class="markdownTableBodyLeft">PLL Input Source Divider   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The PLL input clock frequency = (PLL Clock Source frequency ) / (PLL_SRC_N + 1).   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PLL input clock frequency range: 0.8MHz ~ 2MHz   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[16]  </td><td class="markdownTableBodyCenter">PD  </td><td class="markdownTableBodyLeft">Power-Down Mode   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">If set the PD_EN bit "1" in PWR_CTL register, the PLL will enter Power-down mode too   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PLL is in normal mode.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = PLL is in power-down mode (default).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[17]  </td><td class="markdownTableBodyCenter">PLL_SRC  </td><td class="markdownTableBodyLeft">PLL Source Clock Select   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PLL source clock from HXT.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = PLL source clock from HIRC.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01300">1300</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a8dc40f2a57b0b379fd97dd6eecdba230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dc40f2a57b0b379fd97dd6eecdba230">&#9670;&nbsp;</a></span>PWRCTL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::PWRCTL</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>PWRCTL </h1>
<h2>Offset: 0x00 System Power-down Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">HXT_EN  </td><td class="markdownTableBodyLeft">HXT Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The bit default value is set by flash controller user configuration register config0 [26].   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">HXT is disabled by default.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">LXT_EN  </td><td class="markdownTableBodyLeft">LXT Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">LXT is disabled by default.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">HIRC_EN  </td><td class="markdownTableBodyLeft">HIRC Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">HIRC is enabled by default.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3]  </td><td class="markdownTableBodyCenter">LIRC_EN  </td><td class="markdownTableBodyLeft">LIRC Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">LIRC is enabled by default.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">WK_DLY  </td><td class="markdownTableBodyLeft">Wake-Up Delay Counter Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When chip wakes up from Power-down mode, the clock control will delay 4096 clock cycles to wait HXT stable or 16 clock cycles to wait HIRC stable.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Delay clock cycle Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Delay clock cycle Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">PD_WK_IE  </td><td class="markdownTableBodyLeft">Power-Down Mode Wake-Up Interrupt Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PD_WK_INT will be set if both PD_WK_IS and PD_WK_IE are high.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">PD_EN  </td><td class="markdownTableBodyLeft">Chip Power-Down Mode Enable Bit   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When CPU sets this bit, the chip power down is enabled and chip will not enter Power-down mode until CPU sleep mode is also active.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When chip wakes up from Power-down mode, this bit will be auto cleared.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When chip is in Power-down mode, the LDO, HXT and HIRC will be disabled, but LXT and LIRC are not controlled by Power-down mode.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When power down, the PLL and system clock (CPU, HCLKx and PCLKx) are also disabled no matter the Clock Source selection.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Peripheral clocks are not controlled by this bit, if peripheral Clock Source is from LXT or LIRC.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">In Power-down mode, flash macro power is ON.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Chip operated in Normal mode.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Chip power down Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[8]  </td><td class="markdownTableBodyCenter">HXT_SELXT  </td><td class="markdownTableBodyLeft">HXT SELXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = High frequency crystal loop back path Disabled. It is used for external oscillator.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = High frequency crystal loop back path Enabled. It is used for external crystal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[9]  </td><td class="markdownTableBodyCenter">HXT_CUR_SEL  </td><td class="markdownTableBodyLeft">HXT Internal Current Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">HXT has some internal current path to help crystal start-up.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">However when these current path existence, HXT will consume more power.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">User can use this bit to balance the start-up and power consumption.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HXT current path always exists. HXT will consume more power.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">For 16MHz to 24 MHz crystal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HXT current path will exist 2ms then cut down. HXT will consume less power.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">For 4 MHz to 16 MHz crystal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[11:10]  </td><td class="markdownTableBodyCenter">HXT_GAIN  </td><td class="markdownTableBodyLeft">HXT Gain Control Bit   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Gain control is used to enlarge the gain of crystal to make sure crystal wok normally.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">If gain control is enabled, crystal will consume more power than gain control off.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = HXT frequency is lower than from 8 MHz.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = HXT frequency is from 8 MHz to 12 MHz.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = HXT frequency is from 12 MHz to 16 MHz.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = HXT frequency is higher than 16 MHz.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[12]  </td><td class="markdownTableBodyCenter">HIRC_FSEL  </td><td class="markdownTableBodyLeft">HIRC Output Frequency Select   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC will output 12MHz clock.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC will output 16MHz Clock.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[13]  </td><td class="markdownTableBodyCenter">HIRC_F_STOP  </td><td class="markdownTableBodyLeft">HIRC Stop Output When Frequency Changes   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This is a protected register. Please refer to open lock sequence to program it.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC will continue to output when HIRC frequency changes.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC will suppress to output during first 16 clocks when HIRC frequency change.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l00983">983</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ac5c543e82031d3cb0ba48c5f9a916031"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5c543e82031d3cb0ba48c5f9a916031">&#9670;&nbsp;</a></span>RESERVE0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CLK_T::RESERVE0[1]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01321">1321</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ac9b4363cbc9fa5e227122d0d9852830b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9b4363cbc9fa5e227122d0d9852830b">&#9670;&nbsp;</a></span>SP_DET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::SP_DET</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>SP_DET </h1>
<h2>Offset: 0x3C Clock Stop Detect Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">HCLK_DET  </td><td class="markdownTableBodyLeft">HCLK Stop Detect Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HCLK stop detect Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HCLK stop detect Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Once HCLK stop detected, hardware will force HCLK from LIRC.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">HCLK_STOP_IE  </td><td class="markdownTableBodyLeft">HCLK Stop Detect Interrupt Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HCLK stop detect interrupt Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HCLK stop detect interrupt Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">HXT_DET  </td><td class="markdownTableBodyLeft">HXT Stop Detect Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HXT stop detect Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HXT stop detect Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3]  </td><td class="markdownTableBodyCenter">HXT_STOP_IE  </td><td class="markdownTableBodyLeft">HXT Stop Detect Interrupt Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HXT stop detect interrupt Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HXT stop detect interrupt Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">HIRC_DET  </td><td class="markdownTableBodyLeft">HIRC Stop Detect Enable Control   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC stop detect Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC stop detect Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">HIRC_STOP_IE  </td><td class="markdownTableBodyLeft">HIRC Stop Detect Interrupt Enable Control   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC stop detect interrupt Disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC stop detect interrupt Enabled.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01403">1403</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a9f3cf7cd93cbac6e644e7ba6192f0c6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f3cf7cd93cbac6e644e7ba6192f0c6c">&#9670;&nbsp;</a></span>SP_STS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t CLK_T::SP_STS</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>SP_STS </h1>
<h2>Offset: 0x40 Clock Stop Detect Status Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">HCLK_SP_IS  </td><td class="markdownTableBodyLeft">HCLK Clock Stop Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HCLK normal.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HCLK abnormal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[2]  </td><td class="markdownTableBodyCenter">HXT_SP_IS  </td><td class="markdownTableBodyLeft">HXT Stop Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HXT normal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HXT abnormal.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">HIRC_SP_IS  </td><td class="markdownTableBodyLeft">HIRC Stop Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = HIRC normal.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = HIRC abnormal.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[10:8]  </td><td class="markdownTableBodyCenter">HCLK_SEL  </td><td class="markdownTableBodyLeft">HCLK Target Clock Select   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">000 = HXT   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">001 = LXT   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">010 = PLL Clock   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">011 = LIRC   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">111 = HIRC   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Others = Reserved   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01429">1429</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a3aace40aeea86c8dece6918b4e1170d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aace40aeea86c8dece6918b4e1170d0">&#9670;&nbsp;</a></span>WK_INTSTS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t CLK_T::WK_INTSTS</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>WK_INTSTS </h1>
<h2>Offset: 0x30 Wake-up Interrupt Status </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">PD_WK_IS  </td><td class="markdownTableBodyLeft">Wake-Up Interrupt Status In Chip Power-Down Mode   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit indicates that some event resumes chip from Power-down mode   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The status is set if external interrupts, UART, GPIO, RTC, USB, SPI, Timer, WDT, and BOD wake-up occurred.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Write 1 to clear this bit.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l01336">1336</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:55 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
